const Cc = Components.classes;
const Ci = Components.interfaces;

Components.utils.import("resource://gre/modules/XPCOMUtils.jsm");

function nsXULAppInfo() {	
}

nsXULAppInfo.prototype = {
    classDescription  : "nsXULAppInfo",
    contractID : "@mozilla.org/xre/app-info;1",
    classID : Components.ID("{ecfc17ad-b4ec-4f7c-b1b5-5c95ab855b0e}"),
    QueryInterface: XPCOMUtils.generateQI([Ci.nsIXULAppInfo, Ci.nsIXULRuntime, Ci.nsIWinAppHelper]), 

    get vendor() {return "Mozilla";},
    get name() {return "Firefox";},
    get ID() {return "{ec8030f7-c20a-464f-9b0e-13a3a9e97384}";},
    get version() {return "3.0.8";},
    get platformVersion() {return "1.9.0.8";},
    get appBuildID() {return "2009032609";},
    get platformBuildID() {return "2009032609";},
    get inSafeMode() {return false;},
    set logConsoleErrors(value) {},
    get logConsoleErrors() {return false;},
    get OS() {return "WINNT";},
    get XPCOMABI() {return "x86-msvc";},
    get userCanElevate() {return false;},
    
    postUpdate: function(logFile) { },

    get wrappedJSObject() {
        return this;
    }
}

function NSGetModule(compMgr, fileSpec) {
    return XPCOMUtils.generateModule([nsXULAppInfo]);
}
